Bug 210646 - gdm-binary smartcard process doesn't die when the rest of gdm does
gdm-binary smartcard process doesn't die when the rest of gdm does
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-13 11:02 EDT by Bill Nottingham
Modified: 2014-03-16 23:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-06 15:42:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-10-13 11:02:33 EDT
Description of problem:

- boot into runlevel 5
- run 'telinit 3'
- avoid bug 210549, hopefully
- note that gdm-binary is still running

It's the smartcard process, stating /var/run. It appears to ignore SIGTERM; it
has to be killed with SIGKILL.

Version-Release number of selected component (if applicable):

gdm-2.16.0-10.fc6
Comment 1 Ray Strode [halfline] 2007-03-06 15:42:40 EST
So this got fixed a while ago apparently:

* Sat Oct 14 2006 Ray Strode <rstrode@redhat.com> - 1:2.16.0-14.fc7
- have security token monitor helper process kill itself when
  the communication pipe to the main process goes away (bug 210677).

Note You need to log in before you can comment on or make changes to this bug.